# Command: regex_find_s

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    regex_find_s - Check if a regex is included in a string

Synopsis:

    string string  -> boolean

Examples:

    (hello) (is there a hello hiding) regex_find -> true
      (hello) (is there a HeLlO hiding) regex_find -> false

Description:

    Takes the first argument. Converts to regex and calls
      regexec to find out if this regex matches the string. Reports
      success/failure in a boolean true/false.

Parameters:

    in: first argument  :a string which will be converted
      to a regex by a regcomp call.
      second argument : a string where this
      regex should be matched.
      out: true/false telling if there is/is no match.

Bugs:

    -

Diagnostics:

    Will raise an /InvalidRegexError if regcomp cannot
      compile the regex. Try immidiate
      :regerror = to find out why!

Remarks:

    Compiles regex and calls regex_find_s.
      Does _not_ return any information about the matched
      expression more than matched/not matched; use lower
      level commands regcomp, regexec if in need!

Author:

    Hehl

FirstVersion:

    1.10.99

SeeAlso:

- regexec
- regcomp
- regex_replace

Source:

    /opt/conda/conda-bld/nest_1510212701067/work/nest-2.14.0/lib/sli/regexp.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative